Skip to main content
PATCH
/
v2
/
tasks
/
{task_id}
Update Task Status
curl --request PATCH \
  --url https://api.example.com/v2/tasks/{task_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.example.com/v2/tasks/{task_id}"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.example.com/v2/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task": {
    "id": "<string>",
    "title": "<string>",
    "source": {
      "context": {
        "employee_id": "<string>",
        "scope": "employee"
      },
      "requirement_id": "<string>",
      "definition": "<string>",
      "resources": [
        {}
      ],
      "region": {
        "id": "<string>",
        "name": "<string>",
        "parent_region": null
      },
      "resolutions": {
        "hosted": {
          "description": "<string>",
          "method": "<string>",
          "url": "<string>",
          "content_type": "<string>",
          "fields": [
            {
              "name": "<string>",
              "description": "<string>",
              "required": true,
              "type": "<string>"
            }
          ],
          "type": "hosted"
        },
        "manual": {
          "steps": [
            {
              "id": "<string>",
              "title": "<string>",
              "description": "<string>",
              "paths": [
                {
                  "type": "<string>",
                  "value": "<string>",
                  "text": "<string>"
                }
              ],
              "order": 123
            }
          ],
          "type": "manual"
        }
      },
      "type": "requirement",
      "summary": "<string>",
      "period_start_date": "2023-12-25",
      "period_end_date": "2023-12-25",
      "due_date": "2023-12-25",
      "fee": {
        "amount": "<string>",
        "type": "fixed"
      },
      "eta": {
        "estimation": {
          "min": 123,
          "max": 123
        },
        "earliest_date": "2023-11-07T05:31:56Z",
        "latest_date": "2023-11-07T05:31:56Z"
      },
      "tags": [],
      "criteria_met": [
        {
          "type": "requirement-done",
          "reason": "<string>",
          "task_id": "<string>"
        }
      ],
      "unlocks": [
        {
          "requirement_id": "<string>",
          "title": "<string>",
          "definition": "<string>",
          "resources": [
            {}
          ],
          "region": {
            "id": "<string>",
            "name": "<string>",
            "parent_region": null
          },
          "summary": "<string>",
          "tags": [],
          "source": "requirement"
        }
      ],
      "automation_status_logs": [
        {
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "agency_accounts": [
        {
          "id": "<string>",
          "name": "<string>",
          "agency": {
            "id": "<string>",
            "name": "<string>",
            "website": "<string>"
          },
          "data": [
            {
              "name": "<string>",
              "description": "<string>",
              "value": "<string>"
            }
          ],
          "logins": [
            {
              "id": "<string>",
              "name": "<string>",
              "url": "<string>"
            }
          ]
        }
      ]
    },
    "priority": "medium",
    "is_managed": false
  },
  "unlocked_tasks": [
    {
      "id": "<string>",
      "title": "<string>",
      "source": {
        "context": {
          "employee_id": "<string>",
          "scope": "employee"
        },
        "requirement_id": "<string>",
        "definition": "<string>",
        "resources": [
          {}
        ],
        "region": {
          "id": "<string>",
          "name": "<string>",
          "parent_region": null
        },
        "resolutions": {
          "hosted": {
            "description": "<string>",
            "method": "<string>",
            "url": "<string>",
            "content_type": "<string>",
            "fields": [
              {
                "name": "<string>",
                "description": "<string>",
                "required": true,
                "type": "<string>"
              }
            ],
            "type": "hosted"
          },
          "manual": {
            "steps": [
              {
                "id": "<string>",
                "title": "<string>",
                "description": "<string>",
                "paths": [
                  {
                    "type": "<string>",
                    "value": "<string>",
                    "text": "<string>"
                  }
                ],
                "order": 123
              }
            ],
            "type": "manual"
          }
        },
        "type": "requirement",
        "summary": "<string>",
        "period_start_date": "2023-12-25",
        "period_end_date": "2023-12-25",
        "due_date": "2023-12-25",
        "fee": {
          "amount": "<string>",
          "type": "fixed"
        },
        "eta": {
          "estimation": {
            "min": 123,
            "max": 123
          },
          "earliest_date": "2023-11-07T05:31:56Z",
          "latest_date": "2023-11-07T05:31:56Z"
        },
        "tags": [],
        "criteria_met": [
          {
            "type": "requirement-done",
            "reason": "<string>",
            "task_id": "<string>"
          }
        ],
        "unlocks": [
          {
            "requirement_id": "<string>",
            "title": "<string>",
            "definition": "<string>",
            "resources": [
              {}
            ],
            "region": {
              "id": "<string>",
              "name": "<string>",
              "parent_region": null
            },
            "summary": "<string>",
            "tags": [],
            "source": "requirement"
          }
        ],
        "automation_status_logs": [
          {
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ],
        "agency_accounts": [
          {
            "id": "<string>",
            "name": "<string>",
            "agency": {
              "id": "<string>",
              "name": "<string>",
              "website": "<string>"
            },
            "data": [
              {
                "name": "<string>",
                "description": "<string>",
                "value": "<string>"
              }
            ],
            "logins": [
              {
                "id": "<string>",
                "name": "<string>",
                "url": "<string>"
              }
            ]
          }
        ]
      },
      "priority": "medium",
      "is_managed": false
    }
  ]
}
{
"message": "<string>",
"detail": "<string>"
}
{
"message": "<string>",
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

task_id
string
required

Query Parameters

legal_entity_public_id
string | null
user_or_platform_public_id
string | null
platform_public_id
string | null

Body

application/json
status
enum<string>
required
Available options:
todo,
done

Response

Successful Response

task
PlatformTask · object
required
unlocked_tasks
PlatformTask · object[]
required